SystemOrganization addCategory: 'Parasol-GemStone'!

!CharacterCollection methodsFor: '*Parasol-GemStone' stamp: 'KrisGybels 04/25/2013 11:02'!
fillFrom: aCollection with: aBlock
	"Evaluate aBlock with each of aCollections's elements as the argument.  
	Collect the resulting values into self. Answer self."

	| index |
	index := 0.
	aCollection do: [ :each |
		self at: (index := index + 1) put: (aBlock value: each) ]! !

BPPlatform subclass: #BPGemStonePlatform
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Parasol-GemStone'!

!BPGemStonePlatform class methodsFor: 'initialization' stamp: 'JohanBrichau 06/08/2014 22:36'!
initialize
	"
	self initialize
	"
	| p |
	p := self new.
	BPPlatform add: p.
	BPPlatform setCurrent: p name! !

!BPGemStonePlatform methodsFor: 'tests' stamp: 'JohanBrichau 06/08/2014 22:35'!
httpClientClass
	^ZnClient! !

!BPGemStonePlatform methodsFor: 'tests' stamp: 'JohanBrichau 06/08/2014 22:35'!
httpEntityClass
	^ZnEntity! !

!BPGemStonePlatform methodsFor: 'performing' stamp: 'JohanBrichau 08/09/2014 00:44'!
httpGet: url
	System commitTransaction ifFalse:[self error: 'Parasol error: commitTransaction failed.'].
	[ ^ super httpGet: url] ensure: [ System continueTransaction ifFalse:[self error: 'Parasol error: continueTransaction failed.'].]! !

!BPGemStonePlatform methodsFor: 'performing' stamp: 'JohanBrichau 08/09/2014 00:44'!
httpPost: url data: data
	System commitTransaction ifFalse:[self error: 'Parasol error: commitTransaction failed.'].
	[ ^ super httpPost: url data: data] ensure: [ System continueTransaction ifFalse:[self error: 'Parasol error: continueTransaction failed.'].]! !

!BPGemStonePlatform methodsFor: 'performing' stamp: 'JohanBrichau 08/09/2014 00:44'!
httpPost: url data: data  timeout: seconds
	System commitTransaction ifFalse:[self error: 'Parasol error: commitTransaction failed.'].
	[ ^ super httpPost: url data: data  timeout: seconds ] ensure: [ System continueTransaction ifFalse:[self error: 'Parasol error: continueTransaction failed.'].]! !

!BPGemStonePlatform methodsFor: 'tests' stamp: 'JohanBrichau 08/06/2014 11:18'!
isMacOSX

	^ (System gemVersionReport at: 'osName') = 'Darwin'! !

!BPGemStonePlatform methodsFor: 'tests' stamp: 'JohanBrichau 06/08/2014 22:34'!
mimeTypeClass
	^ZnMimeType! !

!BPGemStonePlatform methodsFor: 'tests' stamp: 'JohanBrichau 06/08/2014 22:34'!
name
	^'GemStone'! !

!BPGemStonePlatform methodsFor: 'tests' stamp: 'JohanBrichau 07/04/2014 04:40'!
port
	^ WAGemStoneRunSeasideGems default ports first! !

!BPGemStonePlatform methodsFor: 'tests' stamp: 'JohanBrichau 06/08/2014 22:34'!
urlClass
	^ZnUrl! !

!BPGemStonePlatform methodsFor: 'tests' stamp: 'JohanBrichau 06/08/2014 22:34'!
urlFor: aString
	^ZnUrl fromString: aString! !

!Collection methodsFor: '*Parasol-GemStone' stamp: 'KrisGybels 04/25/2013 11:02'!
collect: aBlock as: aClass
	"Evaluate aBlock with each of the receiver's elements as the argument.  
	Collect the resulting values into an instance of aClass. Answer the resulting collection."

	^(aClass new: self size) fillFrom: self with: aBlock! !

!Collection methodsFor: '*Parasol-GemStone' stamp: 'KrisGybels 04/25/2013 10:57'!
fillFrom: aCollection with: aBlock
	"Evaluate aBlock with each of aCollections's elements as the argument.  
	Collect the resulting values into self. Answer self."

	aCollection do: [ :each |
		self add: (aBlock value: each) ]! !

!ByteArray methodsFor: '*Parasol-GemStone' stamp: 'KrisGybels 04/25/2013 11:00'!
fillFrom: aCollection with: aBlock
	"Evaluate aBlock with each of aCollections's elements as the argument.  
	Collect the resulting values into self. Answer self."

	| index |
	index := 0.
	aCollection do: [ :each |
		self at: (index := index + 1) put: (aBlock value: each) ]! !

!Array methodsFor: '*Parasol-GemStone' stamp: 'KrisGybels 04/25/2013 11:00'!
fillFrom: aCollection with: aBlock
	"Evaluate aBlock with each of aCollections's elements as the argument.  
	Collect the resulting values into self. Answer self."

	| index |
	index := 0.
	aCollection do: [ :each |
		self at: (index := index + 1) put: (aBlock value: each) ]! !
BPGemStonePlatform initialize!
